%global pypi_name sphinxcontrib-spelling

Summary:        A spelling checker for Sphinx-based documentation
Name:           python-%{pypi_name}
Version:        7.3.3
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/sphinx-contrib/spelling
Source0:        %{pypi_source}

BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pbr python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-enchant python%{python3_pkgversion}-sphinx

BuildArch:      noarch


%description
This package contains sphinxcontrib.spelling, a spelling checker for Sphinx-based documentation. 
It uses PyEnchant to produce a report showing misspelled words.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        A spelling checker for Sphinx-based documentation
Requires:       python%{python3_pkgversion}-enchant
Requires:       python%{python3_pkgversion}-sphinx

%description -n python%{python3_pkgversion}-%{pypi_name}
This package contains sphinxcontrib.spelling, a spelling checker for Sphinx-based documentation. 
It uses PyEnchant to produce a report showing misspelled words.


%prep
%autosetup -p0 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%check
%pytest


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_spelling*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 7.3.3-1
- initial build
